<%@ page contentType="text/html;charset=UTF-8" %>
<script>
$(document).ready(function() {
	$('#projectTable').bootstrapTable({
		  //请求方法
               method: 'post',
               //类型json
               dataType: "json",
               contentType: "application/x-www-form-urlencoded",
               //显示检索按钮
	           showSearch: true,
               //显示刷新按钮
               showRefresh: true,
               //显示切换手机试图按钮
               showToggle: true,
               //显示 内容列下拉框
    	       showColumns: true,
    	       //显示到处按钮
    	       showExport: true,
    	       //显示切换分页按钮
    	       showPaginationSwitch: true,
    	       //最低显示2行
    	       minimumCountColumns: 2,
               //是否显示行间隔色
               striped: true,
               //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
               cache: false,
               //是否显示分页（*）
               pagination: true,
                //排序方式
               sortOrder: "asc",
               //初始化加载第一页，默认第一页
               pageNumber:1,
               //每页的记录行数（*）
               pageSize: 10,
               //可供选择的每页的行数（*）
               pageList: [5,10, 25, 50, 100],
               //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据
               url: "${ctx}/managementcenter/activiti/data",
               //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
               //queryParamsType:'',
               ////查询参数,每次调用是会带上这个参数，可自定义
               queryParams : function(params) {
               	var searchParam = $("#searchForm").serializeJSON();
               	searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
               	searchParam.pageSize = params.limit === undefined? -1 : params.limit;
               	searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
                   return searchParam;
               },
               //分页方式：client客户端分页，server服务端分页（*）
               sidePagination: "server",
               contextMenuTrigger:"right",//pc端 按右键弹出菜单
               contextMenuTriggerMobile:"press",//手机端 弹出菜单，click：单击， press：长按。
               contextMenu: '#context-menu',
               onContextMenuItem: function(row, $el){
                   if($el.data("item") == "edit"){
                   		edit(row.id);
                   }else if($el.data("item") == "view"){
                       view(row.id);
                   } else if($el.data("item") == "delete"){
                        jp.confirm('确认要删除该表单记录吗？', function(){
                       	jp.loading();
                       	jp.get("${ctx}/sg/managementcenter/project/delete?id="+row.id, function(data){
                   	  		if(data.success){
                   	  			$('#projectTable').bootstrapTable('refresh');
                   	  			jp.success(data.msg);
                   	  		}else{
                   	  			jp.error(data.msg);
                   	  		}
                   	  	})

                   	});

                   }
               },

               onClickRow: function(row, $el){
               },
               	onShowSearch: function () {
			$("#search-collapse").slideToggle();
		},
               columns: [{
                       field: 'reserveProjectName',
                       title: '储备项目暂定名称',
                       width:120
                   }
                   ,{
                       field: 'projectId',
                       title: '项目定义号',
                       width:160
                   }
                   ,{
                       field: 'projectName',
                       width:160,
                       title: '项目名称',
                   }
                   ,{
                       field: 'disclose.hasImplemented',
                       title: '是否已实施',
                       width:160
                   }
                   ,{
                       field: 'disclose.sceneDescription',
                       title: '现场情况描述',
                       width:160
                   }
                   ,{
                       field: 'disclose.isImplement',
                       title: '是否有实施必要性',
                       width:160
                   }
                   ,{
                       field: 'disclose.noImplementation',
                       title: '实施无必要描述',
                       width:160
                   }
                   ,{
                       field: 'disclose.whetherComplete',
                       title: '图纸是否完整',
                       width:160
                   }
                   ,{
                       field: 'disclose.drawingDescription',
                       title: '图纸完整性描述',
                       width:160
                   }
                   ,{
                       field: 'disclose.whetherStandard',
                       title: '图纸是否规范',
                       width:160
                   }
                   ,{
                       field: 'disclose.normativeDrawings',
                       title: '图纸规范性描述',
                       width:160
                   }
                   ,{
                       field: 'disclose.whetherDrawing',
                       title: '是否存在典设图问题',
                       width:160
                   }
                   ,{
                       field: 'disclose.problemDescription',
                       title: '典设图问题描述',
                       width:160
                   }
                   ,{
                       field: 'disclose.whetherChannel',
                       title: '是否存在施工通道',
                       width:160
                   }
                   ,{
                       field: 'disclose.lineName',
                       title: '线路名称一致性',
                       width:160
                   }
                   ,{
                       field: 'disclose.constructionDescription',
                       title: '施工通道情况描述',
                       width:160
                   }
                   ,{
                       field: 'disclose.civilAdjusted',
                       title: '土建是否需要调整',
                       width:160
                   }
                   ,{
                       field: 'disclose.descriptionPlans',
                       title: '土建方案变更内容描述',
                       width:160
                   }
                   ,{
                       field: 'disclose.descriptionAdjustment',
                       title: '土建工作量调整内容描述',
                       width:160
                   }
                   ,{
                       field: 'disclose.electricalAdjusted',
                       title: '电气方案是否需要调整',
                       width:160
                   }
                   ,{
                       field: 'disclose.adjustmentDescription',
                       title: '调整原因描述',
                       width:160
                   }
                   ,{
                       field: 'disclose.doesChange',
                       title: '自动化是否需要变更',
                       width:160
                   }
                   ,{
                       field: 'disclose.automatedContent',
                       title: '自动化方案调整内容',
                       width:160
                   }
                   ,{
                       field: 'disclose.automatedAdjustment',
                       title: '自动化工作内容调整',
                       width:160
                   }
                   ,{
                       field: 'disclose.otherAdjusted',
                       title: '其他方案是否需要调整',
                       width:160
                   }
                   ,{
                       field: 'disclose.descriptionReasons',
                       title: '其他方案调整原因描述',
                       width:160
                   }
                   ,{
                       field: 'disclose.difficultResolve',
                       title: '是否存在难以解决的政处',
                       width:160
                   }
                   ,{
                       field: 'disclose.designChanges',
                       title: '是否需要进行设计变更',
                       width:160
                   },{
                       field: 'disclose.affairsDescription',
                       title: '政处问题描述',
                       width:160
                   },{
                       field: 'disclose.planningRequired',
                       title: '是否需要规划报批',
                       width:160
                   },{
                       field: 'disclose.highSpeed',
                       title: '//是否涉及高铁、高速',
                       width:160
                   },{
                       field: 'disclose.affairsOffice',
                       title: '是否存在复杂民事政处',
                       width:160
                   },{
                       field: 'disclose.preconditions',
                       title: '图纸方案是否存在前置条件',
                       width:160
                   },{
                       field: 'disclose.preconditionDescription',
                       title: '前置条件描述',
                       width:160
                   },{
                       field: 'disclose.customizedMaterials',
                       title: '是否需要定制物资',
                       width:160
                   },{
                       field: 'disclose.customizedCan',
                       title: '是否能定制',
                       width:160
                   },{
                       field: 'disclose.reasonDescription',
                       title: '定制原因描述',
                       width:160
                   },{
                       field: 'disclose.materialDescription',
                       title: '定制物资描述',
                       width:160
                   },{
                       field: 'disclose.demolitionMaterials',
                       title: '拆旧物资是否与设计一致',
                       width:160
                   },{
                       field: 'disclose.modelDescription',
                       title: '型号不一致描述',
                       width:160
                   },{
                       field: 'disclose.quantityDescription',
                       title: '数量不一致描述',
                       width:160
                   },{
                       field: 'disclose.drawingAnnotation',
                       title: '图纸标注是否存在问题',
                       width:160
                   },{
                       field: 'disclose.drawingProblem',
                       title: '图纸标注问题描述',
                       width:160
                   },{
                       field: 'disclose.powerOutage',
                       title: '是否存在停电问题',
                       width:160
                   },{
                       field: 'disclose.powerProblem',
                       title: '停电问题问题描述',
                       width:160
                   },{
                       field: 'disclose.nearLiveLine',
                       title: '是否邻近带电线路',
                       width:160
                   },{
                       field: 'disclose.highVoltageLine',
                       title: '是否下穿高压线路',
                       width:160
                   },{
                       field: 'disclose.complexPipeline',
                       title: '是否存在复杂管线',
                       width:160
                   },{
                       field: 'disclose.complicatedPower',
                       title: '是否涉及复杂停电',
                       width:160
                   }
		     ]
		});


	  if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端


		  $('#projectTable').bootstrapTable("toggleView");
		}

	  $('#projectTable').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
                'check-all.bs.table uncheck-all.bs.table', function () {
            $('#remove').prop('disabled', ! $('#projectTable').bootstrapTable('getSelections').length);
            $('#view,#edit').prop('disabled', $('#projectTable').bootstrapTable('getSelections').length!=1);
        });

		$("#btnImport").click(function(){
			jp.open({
			    type: 2,
                area: [500, 200],
                auto: true,
			    title:"导入数据",
			    content: "${ctx}/tag/importExcel" ,
			    btn: ['确定', '关闭'],
			    	btn1: function(index, layero){
				        var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
						iframeWin.contentWindow.importExcel('${ctx}/sg/managementcenter/project/import', function (data) {
							if(data.success){
								jp.success(data.msg);
								refresh();
							}else{
								jp.error(data.msg);
							}
                            jp.close(index);
						});//调用保存事件
						return false;
				  	},

				  btn2: function(index){
					//  jp.close(index);
	    	       }
			});
		});
    $("#btnImportPicking").click(function(){
        jp.open({
            type: 2,
            area: [500, 200],
            auto: true,
            title:"导入领料单",
            content: "${ctx}/tag/importExcel" ,
            btn: ['确定', '关闭'],
            btn1: function(index, layero){
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                iframeWin.contentWindow.importExcel('${ctx}/sg/managementcenter/project/importPicking', function (data) {
                    if(data.success){
                        jp.success(data.msg);
                        refresh();
                    }else{
                        jp.error(data.msg);
                    }
                    jp.close(index);
                });//调用保存事件
                return false;
            },

            btn2: function(index){
                //  jp.close(index);
            }
        });
    });
	 $("#export").click(function(){//导出Excel文件
			jp.downloadFile('${ctx}/sg/managementcenter/project/export');
	  });
    // $("#export1").click(function(){//导出Excel文件
    //     jp.downloadFile('${ctx}/sg/managementcenter/project/export1');
    // });

    $("#btnExport").click(function () {
        var id = getIdSelections();
        var projectId = encodeURI(encodeURI($("#projectId").val()));
        var reserveProjectName = encodeURI(encodeURI($("#reserveProjectName").val()));
        var projectName = encodeURI(encodeURI($("#projectName").val()));
        jp.downloadFile('${ctx}/sg/managementcenter/activiti/btnExport?id=' + id + '&reserveProjectName=' + reserveProjectName + '&projectId=' + projectId + '&projectName=' + projectName);
    });



    $("#search").click("click", function() {// 绑定查询按扭
		  $('#projectTable').bootstrapTable('refresh');
		});

	 $("#reset").click("click", function() {// 绑定查询按扭
		  $("#searchForm  input").val("");
		  $("#searchForm  select").val("");
		  $("#searchForm  .select-item").html("");
		  $('#projectTable').bootstrapTable('refresh');
		});

		$('#beginBeginDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});
		$('#endBeginDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});
		$('#endDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});

	});

  function getIdSelections() {
        return $.map($("#projectTable").bootstrapTable('getSelections'), function (row) {
            return row.id
        });
    }

  function deleteAll(){

		jp.confirm('确认要删除该项目管理表单记录吗？', function(){
			jp.loading();
			jp.get("${ctx}/sg/managementcenter/project/deleteAll?ids=" + getIdSelections(), function(data){
         	  		if(data.success){
         	  			$('#projectTable').bootstrapTable('refresh');
         	  			jp.success(data.msg);
         	  		}else{
         	  			jp.error(data.msg);
         	  		}
         	  	})

		})
  }

    //刷新列表
  function refresh(){
  	$('#projectTable').bootstrapTable('refresh');
  }

   function add(){
	  jp.openSaveDialog('新增项目管理表单', "${ctx}/sg/managementcenter/project/form",'800px', '500px');
  }



   function edit(id){//没有权限时，不显示确定按钮
       if(id == undefined){
	      id = getIdSelections();
	}
	jp.openSaveDialog('编辑项目管理表单', "${ctx}/sg/managementcenter/project/form?id=" + id, '800px', '500px');
  }

 function view(id){//没有权限时，不显示确定按钮
      if(id == undefined){
             id = getIdSelections();
      }
        jp.openViewDialog('查看项目管理表单', "${ctx}/sg/managementcenter/project/form?id=" + id, '800px', '500px');
 }



</script>